#
# spec file for package gnome-doc-utils (Version 0.18.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gnome-doc-utils
Version:        0.18.1
Release:        1.1.1
License:        GPLv2+ ; LGPLv2.1+
Summary:        A Collection of Documentation Utilities for GNOME
Url:            http://www.gnome.org
Group:          System/GUI/GNOME
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/0.8/%{name}-%{version}.tar.bz2
BuildRequires:  docbook_4
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  libxml2-python
BuildRequires:  libxslt-devel
BuildRequires:  pkg-config
BuildRequires:  python
BuildRequires:  translation-update-upstream
Requires:       %{name}-lang = %{version}
Requires:       libxml2-python
Requires:       libxslt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires
%if %suse_version <= 1110
%define python_sitelib %{py_sitedir}
%endif

%description
The gnome-doc-utils package is a collection of documentation utilities
for the GNOMEproject. Notably, it contains utilities for building
documentation and all auxiliary files in your source tree. It also
contains the DocBook XSLT stylesheets that were once distributed with
Yelp. Starting with GNOME 2.8, Yelp requires gnome-doc-utils for XSLT.
It also contains the Python program xml2po that extracts translatable
content from XML documents and outputs gettext-compatible POT files.
For simple tags, it works out-of-the-box. For complicated tags, provide
a list of all tags that are considered "final" (tags with contents that
should be put into one "message" in the POT file), "ignored" (skipped
over), and "space preserving".

Sane defaults are available for DocBook documents and other common
document types (like GNOME Summaries and XHTML). For other kinds of
documents, it is possible to use -a (--automatic-tags) to choose
suitable translatable pieces.

%package devel
License:        GPLv2+ ; LGPLv2.1+
Summary:        A Collection of Documentation Utilities for GNOME
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Requires:       libxml2-devel
# Needed by packages being built with gnome-doc-utils, unless they
# use --disable-scrollkeeper
Requires:       scrollkeeper

%description devel
The gnome-doc-utils package is a collection of documentation utilities
for the GNOME project.	Notably, it contains utilities for building
documentation and all auxiliary files in your source tree. It also
contains the DocBook XSLT stylesheets that were once distributed with
Yelp.  Starting with GNOME 2.8, Yelp requires gnome-doc-utils for XSLT.

It also contains the Python program xml2po that extracts translatable
content from XML documents and outputs gettext-compatible POT files.
For simple tags, it works out-of-the-box. For complicated tags, provide
a list of all tags that are considered "final" (tags with contents that
should be put into one "message" in the POT file), "ignored" (skipped
over), and "space preserving".

Sane defaults are available for DocBook documents and other common
document types (like GNOME Summaries and XHTML).  For other kinds of
documents, it is possible to use -a (--automatic-tags) to choose
suitable translatable pieces.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
# autoreconf fails...
# ACLOCAL="aclocal -I $PWD" autoreconf -f -i
%configure\
	--disable-scrollkeeper
make %{?jobs:-j%jobs} pkgconfigdir=%{_datadir}/pkgconfig

%install
%makeinstall pkgconfigdir=%{_datadir}/pkgconfig
%find_lang %{name}
%find_lang gnome-doc-mallard-spec %{name}.lang
%find_lang gnome-doc-make %{name}.lang
%find_lang gnome-doc-xslt %{name}.lang
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
# xml2po stuff
%{_bindir}/xml2po
%{python_sitelib}/xml2po
# gnome-doc-tool stuff
%{_bindir}/gnome-doc-tool
%dir %{_datadir}/gnome-doc-utils
%{_datadir}/gnome-doc-utils/icons
%{_datadir}/gnome-doc-utils/watermarks
%{_datadir}/xml/gnome
%{_datadir}/xml/mallard
# Misc.
%{_mandir}/man?/*.*

%files devel
%defattr (-, root, root)
%{_bindir}/gnome-doc-prepare
%{_datadir}/aclocal/gnome-doc-utils.m4
%{_datadir}/pkgconfig/*.pc
%{_datadir}/gnome-doc-utils/gnome-doc-utils.make
%{_datadir}/gnome-doc-utils/templates
%{_datadir}/gnome-doc-utils/template*.*

%files lang -f %{name}.lang
%defattr (-, root, root)
# Own these directories to not depend on gnome-common while building:
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/help
# Own this directory to not depend on scrollkeeper
%dir %{_datadir}/omf

%changelog
* Thu Dec 17 2009 dimstar@opensuse.org
- Update to version 0.18.1:
  + bgo#596702 - Fixed Makefile.am to byte-compile Python files
  + Updated translations.
* Mon Sep 28 2009 vuntz@opensuse.org
- Update to version 0.18.0:
  + Replaced Mallard copyright element with credit
  + Fixed model for external-namespace elements in info context
  + Fixed gnome-doc-utils.make parallel build failure, bgo#595197
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 0.17.5:
  + mal2html: Handle link roles on automatic and inline links
  + Updated translations.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 0.17.4:
  + Don't let "twocolumn" tables collapse in Mallard documents
  + Use AC_MSG_* when checking for gnome-doc-utils, bgo#571300
  + Work around buggy OpenSolaris awk
  + Substantial changes to xml2po
  + Work on xml2po Mallard mode
  + Fix misspelling of 'description'
  + Updated translations.
* Wed Aug 12 2009 dominique-obs@leuenberger.net
- Define new python macros on openSUSE <= 11.1.
* Sun Aug  9 2009 coolo@novell.com
- use new python macros
* Wed Jul 29 2009 vuntz@novell.com
- Update to version 0.17.3:
  + Added initial work on a Mallard xml2po mode
  + Internationalization work on Mallard stylesheets
  + Fixed example in Mallard document
  + Preserve exiting PYTHONPATH in bootstrap
  + Addressed RTL issues in Mallard stylesheets
  + Updated translations.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 0.17.2:
  + Added build magic for Mallard documents
  + Fixed various validity errors in the Mallard spec
  + Created a (not yet complete) DocBook->Mallard reference
  + Fixed various problems with the Mallard RNG schema
  + Various additions to (still incomplete) Mallard spec
  + Fixed DocBook menuchoice seperator in RTL, bgo#579278
  + Install xml2po modes in /usr/lib/python2.x/ to respect FHS,
    bgo#528099
  + Remove ending dot in translator-credits comment [xml2po],
    bgo#398541
  + Make all xml2po modes inherit from basic mode
  + Fixed typos in xml2po man page, bgo#586089
  + Updated translations.
- Add libxml2-python BuildRequires since xml2po is called during
  the build now.
- Package is not noarch anymore since we use py_sitedir.
- Add py_requires.
* Mon Jun 15 2009 vuntz@novell.com
- Update to version 0.17.1:
  + Integrated Mallard support
  + Fix file-not-found warnings from config.status
- Add libxml2-devel Requires to devel package.
* Wed Apr 15 2009 vuntz@novell.com
- Update to version 0.16.1:
  + Use new hashlib module instead of md5, bgo#576161
  + Updated transations.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 0.16.0:
  + Updated translations.
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Mon Mar  9 2009 vuntz@novell.com
- Split off a lang package.
- Put back scrollkeeper in Requires (of the devel package this
  time). It's really needed.
- Move some files to the devel package, where they belong.
* Mon Mar  2 2009 mboman@suse.de
- Update to version 0.15.2:
  + More RTL fixes for bgo#563559
  + Translation updates
- Completly remove gnome-doc-utils-permissive.patch
- Remove scrollkeeper from BuildRequires/Requires
- Remove AutoReqProv since it's default
- Add libxslt to Requires
* Mon Feb  2 2009 mboman@suse.de
- Update to version 0.15.1:
  + Fixed some RTL issues, thanks to muayyad alsadi, bgo#563559
  + Translation updates
- Comment out gnome-doc-utils-permissive.patch to see if packages
  builds properly when it's not in place.
- Remove gnome-common from BuildRequires
* Sun Jan 25 2009 vuntz@novell.com
- Remove useless BuildRequires/Requires on libgnome.
- Use fdupes.
* Mon Jan 12 2009 mboman@suse.de
- Update to version 0.14.2:
  + Translation updates
* Sat Dec 20 2008 mboman@suse.de
- Update to version 0.14.1:
  + Fixed some LTR issues, more remain on bug bgo#563559
  + chmod +x gnome-doc-{tool,prepare} on configure, bgo#557732
  + Symlink non-localized figured to C figures, bgo#557227
  + Translation updates
* Wed Sep 24 2008 mboman@suse.de
- Update to version 0.14.0:
  + Translation updates.
* Fri Sep  5 2008 maw@suse.de
- Don't require glib2-devel to build.
- Do require pkg-config to build.
* Sat Aug 30 2008 mboman@novell.com
- Updated to version 0.13.1:
  + Fixed UnicodeDecodeError in xml2po
  + Correctly handle content and tooltips for links to anchors
  + Don't reprocess book titles when title and bookinfo/title exist
  + Remove GLib build dependency; include glib-gettext.m4 [bgo#510915]
  + Updated translations
- Removed gnome-doc-utils-bnc408363-unicodeerror.patch. Fixed upstream.
* Fri Jul 25 2008 vuntz@novell.com
- Tag patch.
- Add gnome-doc-utils-bnc408363-unicodeerror.patch to fix an error
  in xml2po (bnc#408363).
* Fri Mar 14 2008 maw@suse.de
- Update to version 0.12.2:
  + Added DOCTYPE decls to HTML and XHTML pages
  + Adde EXSLT set to the excluded prefixes
  + Updated translations.
* Mon Feb 18 2008 maw@suse.de
- Update to version 0.12.1:
  + Chunks work without id attributes
  + Don't use the title as a label for qandadiv etc
  + Added support for manual indeces
  + Various other fixes
  + Updated translations.
* Fri Sep 14 2007 hpj@suse.de
- Reverted back to version 0.10.3, so the reverted Yelp will work
  correctly.
* Thu Aug 30 2007 maw@suse.de
- Update to version 0.11.2:
  * Added db2html.division.div.content.mode
  * Added support for manual indexes
  * Fixed the mime attribute in OMF output
  * Worked on the HTML output for refentry
  * Switched to set:has-same-node for node comparisons
  * Updated translations.
* Thu Aug  2 2007 mauro@suse.de
- Update to version 0.11.1
- Bugfixes for #456700.
* Thu Apr 12 2007 maw@suse.de
- Update to version 0.10.3
  * general:
    Use gawk -W compat whenever $(AWK) is gawk (Shaun McCance)
  * tools:
    Don't call ScrollKeeper when it's not installed; bug #410715
    (Shaun McCance)
  * xml2po:
    Display xsltproc invocation, honor its exit status, and pull
    the source from srcdir; bugzilla.gnome.org #169324 (Danilo Šegan)
  * Updated translations:
    gl   (Ignacio Casal Quinteiro)
    sq   (Laurent Dhima)
* Mon Mar 26 2007 maw@suse.de
- Update to version 0.10.1
- fixes for b.g.o 416933, 409292, and 169324.
* Thu Mar  1 2007 sbrabec@suse.cz
- Be even more permissive.
* Mon Feb 26 2007 sbrabec@suse.cz
- Be more permissive for incorrectly formatted docs.
* Mon Feb 19 2007 maw@suse.de
- Update to version 0.9.2.
* Mon Jan 29 2007 sbrabec@suse.cz
- Build as noarch (patch from Andreas Hanke, #237146).
* Thu Dec 14 2006 maw@suse.de
- Move to /usr.
* Fri Oct 13 2006 danw@suse.de
- Remove dead patch
* Tue Oct 10 2006 jhargadon@suse.de
- split out the devel files into a -devel package
* Wed Sep 13 2006 jhargadon@suse.de
- update to version 0.8.0
- Use an XSLT namespace alias for XInclude output
- Updated translations
* Mon Aug 21 2006 jhargadon@suse.de
- update to version 0.7.2
- updated translations
* Fri Aug 11 2006 jhargadon@suse.de
- update to version 0.7.1
- Added support for the LINGUAS environment variable
- Some fixes for HTML generation
- Fixed attribute handling
- updated translations
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 sbrabec@suse.cz
- Updated to version 0.5.3.
* Wed Nov 30 2005 gekker@suse.de
- Update to version 0.4.4
* Tue Oct  4 2005 sbrabec@suse.cz
- Updated to version 0.4.2.
* Tue Sep  6 2005 sbrabec@suse.cz
- Updated to version 0.4.0.
* Mon Sep  5 2005 gekker@suse.de
- Update to version 0.3.3 (GNOME 2.12)
* Wed Aug 10 2005 sbrabec@suse.cz
- Do not require -devel packages.
* Mon Aug  8 2005 sbrabec@suse.cz
- Use minimal build environment to break build loop.
* Thu Jul 28 2005 sbrabec@suse.cz
- Updated to version 0.3.2.
- Fixed dependency on libxml2-python (#98757).
* Fri Jul 22 2005 gekker@suse.de
- Update to version 0.3.1
- Remove previous patch
* Wed Jul  6 2005 clahey@suse.de
- Added patches to update to cvs.
- Called auto* to get changes from cvs.
- Added dep on libxml2-devel.
* Fri Jun 17 2005 gekker@suse.de
- Update to version 0.2.0
* Wed Mar  9 2005 gekker@suse.de
- Updating to version 0.1.3 (GNOME 2.10).
* Thu Feb  3 2005 clahey@suse.de
- Updating to version 0.1.2.
* Mon Jan 24 2005 ro@suse.de
- fix lib64 build
* Mon Jan 24 2005 clahey@suse.de
- Initial import.
